Subject: bug#24435: 25.1; Problem using Hunspell

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Sep 2016 19:40:01 +0300

> From: Dmitri Paduchikh <[email-masked]>
> Date: Wed, 14 Sep 2016 18:24:24 +0500
> 
> Judging from ispell.el it should work with Hunspell, so I tried to use
> it. But attempts to check a word produce the following error message.
> 
> | Starting new Ispell process hunspell with ru_RU dictionary...
> | hunspell release 3.1.12 or greater is required (ispell-check-version)
> 
> The latest version of Hunspell is 1.4.1 as can be seen here:
> https://github.com/hunspell/hunspell/releases
> 
> As I understand, the problem arises because ispell-check-version finds
> version information using regexp
> 
> "(but really Hunspell \\([0-9]+\\.[0-9\\.-]+\\)?)"
> 
> The output of hunspell -vv does not match it, hence the results.
> 
> $ hunspell -vv < /dev/null
> Hunspell 1.4.0
> $ 

They've changed the output in backward-incompatible ways.  Previous
versions responded thusly:

  @(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)

Since this change breaks backward compatibility, does that mean
Hunspell is no longer compatible with the Ispell-like interface that
Emacs expects?